# Uses of Interface
ch.qos.logback.core.net.server.ServerListener

Packages that use ServerListener
Package
Description
ch.qos.logback.classic.net.server
Provides a robust logging server
ch.qos.logback.core.net.server
Contains the base classes used by logback to serve logging events to remote peers.

## Uses of ServerListener in ch.qos.logback.classic.net.server

Methods in ch.qos.logback.classic.net.server that return ServerListener
Modifier and Type
Method
Description
`protected ServerListener<ch.qos.logback.classic.net.server.RemoteAppenderClient>`
ServerSocketReceiver.`createServerListener(ServerSocket socket)`
Methods in ch.qos.logback.classic.net.server with parameters of type ServerListener
Modifier and Type
Method
Description
`protected ServerRunner`
ServerSocketReceiver.`createServerRunner(ServerListener<ch.qos.logback.classic.net.server.RemoteAppenderClient> listener, Executor executor)`

## Uses of ServerListener in ch.qos.logback.core.net.server

Classes in ch.qos.logback.core.net.server that implement ServerListener
Modifier and Type
Class
Description
`class`
`ServerSocketListener<T extends Client>`
A `ServerListener` that accepts connections on a `ServerSocket`.
Methods in ch.qos.logback.core.net.server that return ServerListener
Modifier and Type
Method
Description
`protected ServerListener<ch.qos.logback.core.net.server.RemoteReceiverClient>`
AbstractServerSocketAppender.`createServerListener(ServerSocket socket)`
Methods in ch.qos.logback.core.net.server with parameters of type ServerListener
Modifier and Type
Method
Description
`protected ServerRunner<ch.qos.logback.core.net.server.RemoteReceiverClient>`
AbstractServerSocketAppender.`createServerRunner(ServerListener<ch.qos.logback.core.net.server.RemoteReceiverClient> listener, Executor executor)`
Constructors in ch.qos.logback.core.net.server with parameters of type ServerListener
Modifier
Constructor
Description
``
`ConcurrentServerRunner(ServerListener<T> listener, Executor executor)`
Constructs a new server runner.